import request from '@/utils/request'

// 查询库房选择列表
export function listWarehouse(query) {
  return request({
    url: '/healthcare/warehouse/listWarehouse',
    method: 'get',
    params: query
  })
}

// 查询库房选择详细
export function getWarehouse(id) {
  return request({
    url: '/healthcare/warehouse/' + id,
    method: 'get'
  })
}

// 新增库房选择
export function addWarehouse(data) {
  return request({
    url: '/healthcare/warehouse',
    method: 'post',
    data: data
  })
}

// 修改库房选择
export function updateWarehouse(data) {
  return request({
    url: '/healthcare/warehouse',
    method: 'put',
    data: data
  })
}

// 删除库房选择
export function delWarehouse(id) {
  return request({
    url: '/healthcare/warehouse/' + id,
    method: 'delete'
  })
}
